diff -urN evilwm-0.99.25.orig/events.c evilwm-0.99.25/events.c
--- evilwm-0.99.25.orig/events.c	Wed Apr 26 20:53:10 2006
+++ evilwm-0.99.25/events.c	Sun Dec 31 14:43:31 2006
@@ -46,18 +46,19 @@
 			current_to_head();
 			break;
 #ifdef VWM
-		case XK_1: case XK_2: case XK_3: case XK_4:
-		case XK_5: case XK_6: case XK_7: case XK_8:
+		case XK_F1: case XK_F2: case XK_F3: case XK_F4:
+		case XK_F5: case XK_F6: case XK_F7: case XK_F8:
+		case XK_F9: case XK_F10: case XK_F11: case XK_F12:
 			switch_vdesk(current_screen, KEY_TO_VDESK(key));
 			break;
 		case KEY_PREVDESK:
-			if (current_screen->vdesk > KEY_TO_VDESK(XK_1)) {
+			if (current_screen->vdesk > KEY_TO_VDESK(XK_F1)) {
 				switch_vdesk(current_screen,
 						current_screen->vdesk - 1);
 			}
 			break;
 		case KEY_NEXTDESK:
-			if (current_screen->vdesk < KEY_TO_VDESK(XK_8)) {
+			if (current_screen->vdesk < KEY_TO_VDESK(XK_F12)) {
 				switch_vdesk(current_screen,
 						current_screen->vdesk + 1);
 			}
@@ -128,6 +129,9 @@
 		case KEY_LOWER: case KEY_ALTLOWER:
 			XLowerWindow(dpy, c->parent);
 			break;
+		case KEY_RAISE: case KEY_ALTRAISE:
+			XRaiseWindow(dpy, c->parent);
+			break;
 		case KEY_INFO:
 			show_info(c, key);
 			break;
@@ -162,9 +166,9 @@
 			case Button1:
 				drag(c); break;
 			case Button2:
-				sweep(c); break;
-			case Button3:
 				XLowerWindow(dpy, c->parent); break;
+			case Button3:
+			 	sweep(c); break;	
 			default: break;
 		}
 	}
diff -urN evilwm-0.99.25.orig/keymap.h evilwm-0.99.25/keymap.h
--- evilwm-0.99.25.orig/keymap.h	Wed Feb 22 13:38:57 2006
+++ evilwm-0.99.25/keymap.h	Sun Dec 31 14:43:31 2006
@@ -13,8 +13,10 @@
 #define KEY_UP		XK_k
 #define KEY_LOWER	XK_Insert
 #define KEY_ALTLOWER	XK_KP_Insert
+#define KEY_RAISE	XK_Delete
+#define KEY_ALTRAISE	XK_KP_Delete
 #define KEY_INFO	XK_i
-#define KEY_MAXVERT	XK_equal
+#define KEY_MAXVERT	XK_plus
 #define KEY_MAX		XK_x
 #ifdef VWM
 # define KEY_FIX		XK_f
diff -urN evilwm-0.99.25.orig/main.c evilwm-0.99.25/main.c
--- evilwm-0.99.25.orig/main.c	Wed Apr 26 20:53:10 2006
+++ evilwm-0.99.25/main.c	Sun Dec 31 14:46:11 2006
@@ -44,9 +44,9 @@
 static const char   *opt_fc = DEF_FC;
 #endif
 unsigned int numlockmask = 0;
-unsigned int grabmask1 = ControlMask|Mod1Mask;
+unsigned int grabmask1 = ControlMask|ShiftMask;
 unsigned int grabmask2 = Mod1Mask;
-unsigned int altmask = ShiftMask;
+unsigned int altmask = Mod1Mask;
 const char   *opt_term[3] = { DEF_TERM, DEF_TERM, NULL };
 int          opt_bw = DEF_BW;
 #ifdef SNAP
@@ -305,7 +305,7 @@
 		screens[i].screen = i;
 		screens[i].root = RootWindow(dpy, i);
 #ifdef VWM
-		screens[i].vdesk = KEY_TO_VDESK(XK_1);
+		screens[i].vdesk = KEY_TO_VDESK(XK_F1);
 #endif
 
 		XAllocNamedColor(dpy, DefaultColormap(dpy, i), opt_fg, &screens[i].fg, &dummy);
diff -urN evilwm-0.99.25.orig/screen.c evilwm-0.99.25/screen.c
--- evilwm-0.99.25.orig/screen.c	Wed Apr 26 20:53:10 2006
+++ evilwm-0.99.25/screen.c	Sun Dec 31 14:43:31 2006
@@ -451,10 +451,11 @@
 		KEY_NEW, KEY_KILL,
 		KEY_TOPLEFT, KEY_TOPRIGHT, KEY_BOTTOMLEFT, KEY_BOTTOMRIGHT,
 		KEY_LEFT, KEY_RIGHT, KEY_DOWN, KEY_UP,
-		KEY_LOWER, KEY_ALTLOWER, KEY_INFO, KEY_MAXVERT, KEY_MAX,
+		KEY_LOWER, KEY_ALTLOWER, KEY_RAISE, KEY_ALTRAISE, KEY_INFO, KEY_MAXVERT, KEY_MAX,
 #ifdef VWM
 		KEY_FIX, KEY_PREVDESK, KEY_NEXTDESK,
-		XK_1, XK_2, XK_3, XK_4, XK_5, XK_6, XK_7, XK_8,
+		XK_F1, XK_F2, XK_F3, XK_F4, XK_F5, XK_F6, XK_F7, XK_F8,
+		XK_F9, XK_F10, XK_F11, XK_F12,
 #endif
 		0
 	};
